## ntop 1.2a7

=== Makefile ===
# Generated automatically from Makefile.in by configure.
#
#  Copyright (C) 1998-99  Luca Deri <deri@unipi.it>
#                      
#		       Centro SERRA, University of Pisa
#		       http://www-serra.unipi.it/
#  					
#
#  Copyright (c) 1994, 1996, 1997
# 	The Regents of the University of California.  All rights reserved.
#
#  Redistribution and use in source and binary forms, with or without
#  modification, are permitted provided that: (1) source code distributions
#  retain the above copyright notice and this paragraph in its entirety, (2)
#  distributions including binary code include the above copyright notice and
#  this paragraph in its entirety in the documentation or other materials
#  provided with the distribution, and (3) all advertising materials mentioning
#  features or use of this software display the following acknowledgement:
#  ``This product includes software developed by the University of California,
#  Lawrence Berkeley Laboratory and its contributors.'' Neither the name of
#  the University nor the names of its contributors may be used to endorse
#  or promote products derived from this software without specific prior
#  written permission.
#  THIS SOFTWARE IS PROVIDED ``AS IS'' AND WITHOUT ANY EXPRESS OR IMPLIED
#  WARRANTIES, INCLUDING, WITHOUT LIMITATION, THE IMPLIED WARRANTIES OF
#  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
#

#
# Various configurable paths (remember to edit Makefile.in, not Makefile)
#

# Top level hierarchy
prefix = /usr/local
exec_prefix = ${prefix}
# Pathname of directory to install the binary
BINDEST = ${exec_prefix}/sbin
# Pathname of directory to install the man page
MANDEST = ${prefix}/man
# Fix courtesy of Igor Schein <igor@txc.com>
SHELL=/bin/sh
VERSION=1.2a7
OSNAME=irix6.2

#
# You shouldn't need to edit anything below here.
#

CC = cc
PROG = ntop
CCOPT = -O -xansi -signed -g3
INCLS = -I. -I../libpcap-0.4a7  -I/usr/local/include 
DEFS =  -DHAVE_FCNTL_H=1 -DHAVE_PCAP_H=1 -DHAVE_MALLOC_H=1 -DHAVE_MEMORY_H=1 -DHAVE_CURSES_H=1 -DHAVE_SYS_SELECT_H=1 -DHAVE_STDARG_H=1 -DHAVE_SYS_SOCKIO_H=1 -DHAVE_GDBM_H=1 -DHAVE_DIRENT_H=1 -DHAVE_DLFCN_H=1 -DHAVE_NETINET_IF_ETHER_H=1 -DHAVE_NET_IF_ARP_H=1 -DHAVE_SYS_SCHED_H=1 -DHAVE_PTHREAD_H=1 -DHAVE_SEMAPHORE_H=1 -DRETSIGTYPE=void -DRETSIGVAL= -D_BSD_SIGNALS=1 -DHAVE_LIBDL=1 -DHAVE_LIBGDBM=1 -DTIME_WITH_SYS_TIME=1 -DHAVE_LIBCRYPT=1 -DHAVE_LIBCURSES=1 

# Standard CFLAGS
CFLAGS = $(CCOPT) $(DEFS) $(INCLS) -DMULTITHREADED -DASYNC_ADDRESS_RESOLUTION -DHAVE_LSOF=\"/usr/local/bin/lsof\" -DHAVE_QUESO=\"/sbin/queso\"   

# Standard LDFLAGS
LDFLAGS =  -L/usr/local/lib 
LDFLAGSPLUGINS = 

# Standard LIBS
LIBS = -lcurses -lcrypt -lgdbm -ldl ../libpcap-0.4a7/libpcap.a  -lpthread

INSTALL = ./install-sh -c

.SUFFIXES: .c .o .dll

# Explicitly define compilation rule since SunOS 4's make doesn't like gcc.
# Also, gcc does not remove the .o before forking 'as', which can be a
# problem if you don't own the file but can write to the directory.
.c.o:
	@rm -f $@
	$(CC) $(CFLAGS) -c $*.c

.o.dll:
	@rm -f $@
	$(CC) -o $@ $(DLL_OPTS) $<

CSRC = ntop.c pbuf.c util.c http.c vendor.c report.c qsort.c sql.c address.c admin.c plugin.c
PLUGINS = arpPlugin.dll nfsPlugin.dll odbcPlugin.dll icmpPlugin.dll
GENSRC = version.c

SRC =	$(CSRC) $(GENSRC)

# We would like to say "OBJ = $(SRC:.c=.o)" but Ultrix's make cannot
# hack the extra indirection
OBJ =	$(CSRC:.c=.o) $(GENSRC:.c=.o)
HDR =   interface.h machdep.h

DLL_OPTS = -shared

CLEANFILES = $(PROG) $(OBJ) $(PLUGINS:.dll=.o) $(PLUGINS) $(GENSRC) *.dll  so_locations plugins/*


all: $(PROG) plugins

$(PROG): $(OBJ) ../libpcap-0.4a7/libpcap.a
	@rm -f $@
	$(CC) $(CCOPT) $(LDFLAGS) -o $@ $(OBJ) $(LIBS)

version.o: version.c
version.c: VERSION
	@rm -f $@
	sed -e 's/.*/char version[] = "&";/' VERSION > $@
	sh config.guess > OS.NAME
	sed -e 's/.*/char osName[]  = "&";/' OS.NAME >> $@
	echo "char author[]  = \"Luca Deri <deri@unipi.it>\";" >> $@
	rm -f OS.NAME

ntop.c: ntop.h
pbuf.c: ntop.h
util.c: ntop.h
http.c: ntop.h
report.c: ntop.h

install:
	$(INSTALL) -m 6550 $(PROG) $(DESTDIR)$(BINDEST)/$(PROG)

install-man:
	$(INSTALL) -m 444 $(PROG).8 $(DESTDIR)$(MANDEST)/man8/$(PROG).8

clean:
	rm -f $(CLEANFILES) *~ #* ntop.html *.db core

distclean:
	rm -f $(CLEANFILES) *~ #* ntop.html *.db core Makefile config.cache config.log config.status

depend:	$(GENSRC)
	./mkdep -c $(CC) $(DEFS) $(INCLS) $(SRC)

plugins: arpPlugin.dll nfsPlugin.dll odbcPlugin.dll icmpPlugin.dll

arpPlugin.o: arpPlugin.c
	$(CC) -c $(LDFLAGSPLUGINS) $(CFLAGS) $<

nfsPlugin.o: nfsPlugin.c
	$(CC) -c $(LDFLAGSPLUGINS) $(CFLAGS) $<

odbcPlugin.o: odbcPlugin.c
	$(CC) -c $(LDFLAGSPLUGINS) $(CFLAGS) $<

icmpPlugin.o: icmpPlugin.c
	$(CC) -c $(LDFLAGSPLUGINS) $(CFLAGS) $<

arpPlugin.dll: arpPlugin.o
	$(CC) -o $@ $(DLL_OPTS) $<
	ln -fs ../$@ plugins/$@

icmpPlugin.dll: icmpPlugin.o
	$(CC) -o $@ $(DLL_OPTS) $<
	ln -fs ../$@ plugins/$@

nfsPlugin.dll: nfsPlugin.o
	$(CC) -o $@ $(DLL_OPTS) $<
	ln -fs ../$@ plugins/$@

odbcPlugin.dll: odbcPlugin.o
	$(CC) -o $@ $(DLL_OPTS) $<
	ln -fs ../$@ plugins/$@

ntop.html: ntop.8
	@echo " " > ntop.tmp
	@groff -mandoc -Tascii ntop.8 >> ntop.tmp
	@cat ntop.tmp | man2html > ntop.html
	@rm -f ntop.tmp

make-rpm: ntop ntop.html
	echo "Only root can do this. Wait please...."
	cp ntop packages/rpm/sbin
	cp -r ntop.html html/* packages/rpm/etc/ntop/html
	chown -R root.sys packages/rpm
	cp -pr CHANGES COPYING FAQ FILES INSTALL README TO_DO VERSION ntop.html /usr/src/redhat/BUILD
	chmod gou+x packages/rpm/sbin/ntop
	chmod u+s packages/rpm/sbin/ntop
	cp ntop.8 packages/rpm/usr/man/man8
	rpm -bb packages/rpm/ntop-$(VERSION)-1.spec
	mv /usr/src/redhat/RPMS/$(MACHTYPE)/ntop-$(VERSION)-1.$(MACHTYPE).rpm packages
	rm packages/rpm/sbin/ntop
	rm packages/rpm/usr/man/man8/ntop.8

make-suse: ntop ntop.html
	echo "Only root can do this. Wait please...."
	cp ntop packages/rpm/sbin
	cp -r ntop.html html/* packages/rpm/etc/ntop/html
	chown -R root.sys packages/rpm
	cp -pr CHANGES COPYING FAQ FILES INSTALL README TO_DO VERSION ntop.html /usr/src/packages/BUILD
	chmod gou+x packages/rpm/sbin/ntop
	chmod u+s packages/rpm/sbin/ntop
	cp ntop.8 packages/rpm/usr/man/man8
	rpm -bb packages/rpm/ntop-$(VERSION)-1.spec
	mv /usr/src/packages/RPMS/$(HOSTTYPE)/ntop-$(VERSION)-1.suse-$(HOSTTYPE).rpm packages
	rm packages/rpm/sbin/ntop
	rm packages/rpm/usr/man/man8/ntop.8

make-deb: ntop ntop.html
	echo "Only root can do this. Wait please...."
	cp ntop packages/debian/sbin
	cp -r ntop.html html/* packages/debian/etc/ntop/html
	chown root.sys packages/debian/sbin/ntop
	chmod gou+x packages/debian/sbin/ntop
	chmod u+s packages/debian/sbin/ntop
	cp ntop.8 packages/debian/usr/man/man8
	gzip packages/debian/usr/man/man8/ntop.8
	dpkg-deb -b packages/debian packages/ntop-$(VERSION)-$(OSNAME).deb
	rm packages/debian/sbin/ntop
	rm packages/debian/usr/man/man8/ntop.8.gz

make-generic: ntop ntop.html
	cp ntop packages/generic/sbin
	cp -r ntop.html html/* packages/generic/etc/ntop/html
	chown root.sys packages/generic/sbin/ntop
	chmod gou+x packages/generic/sbin/ntop
	chmod u+s packages/generic/sbin/ntop
	cp ntop.8 packages/generic/usr/man/man8
	gzip packages/generic/usr/man/man8/ntop.8
	cd packages/generic; tar cvf - . > ../ntop-$(VERSION)-$(OSNAME).tar
	compress packages/ntop-$(VERSION)-$(OSNAME).tar
	rm packages/generic/sbin/ntop
	rm packages/generic/usr/man/man8/ntop.8.gz
	rm packages/generic/etc/ntop/html/*

make-slack: ntop ntop.html
	echo "Only root can do this. Wait please...."
	cp ntop packages/slackware/sbin
	cp -r ntop.html html/* packages/slackware/etc/ntop/html
	chown root.sys packages/slackware/sbin/ntop
	chmod gou+x packages/slackware/sbin/ntop
	chmod u+s packages/slackware/sbin/ntop
	cp ntop.8 packages/slackware/usr/man/man8
	gzip packages/slackware/usr/man/man8/ntop.8
	cd packages/slackware; tar cvfz - . > ../ntop-$(VERSION)-slackware.tgz
	mv packages/ntop-$(VERSION)-slackware.tgz packages/slackware
	rm packages/slackware/sbin/ntop
	rm packages/slackware/usr/man/man8/ntop.8.gz
	rm packages/slackware/etc/ntop/html/*
	echo "The package file is under packages/slackware: have fun!"


make-bsd: ntop ntop.html
	echo "Only root can do this. Wait please...."
	cp ntop packages/freebsd/sbin
	cp -r ntop.html html/* packages/freebsd/etc/ntop/html
	chown root.sys packages/freebsd/sbin/ntop
	chmod gou+x packages/freebsd/sbin/ntop
	chmod u+s packages/freebsd/sbin/ntop
	cp ntop.8 packages/freebsd/usr/man/man8
	gzip packages/freebsd/usr/man/man8/ntop.8
	cd packages/freebsd; tar cvfz - . > ../ntop-$(VERSION)-freebsd.tgz
	mv packages/ntop-$(VERSION)-freebsd.tgz packages/freebsd
	rm packages/freebsd/sbin/ntop
	rm packages/freebsd/usr/man/man8/ntop.8.gz
	rm packages/freebsd/etc/ntop/html/*
	echo "The package file is under packages/freebsd: have fun!"


make-solaris: ntop ntop.html
	echo "Only root can do this. Wait please...."
	/bin/rm -rf /opt/ntop
	/bin/rm -rf /var/spool/ntop
	mkdir -p /opt/ntop/bin
	mkdir -p /opt/ntop/man/man8
	mkdir -p /opt/ntop/etc/ntop/html
	cp ntop /opt/ntop/bin
	cp -r ntop.html html/* /opt/ntop/etc/ntop/html
	chown -R bin /opt/ntop
	chgrp -R bin /opt/ntop
	chmod gou+x /opt/ntop/bin/ntop
	chmod u+s /opt/ntop/bin/ntop
	cp ntop.8 /opt/ntop/man/man8
	cd /opt/ntop; find . -print | pkgproto > prototype
	echo "i pkginfo=/opt/ntop/pkginfo" >> prototype
	cat /opt/ntop/prototype >> prototype
	mv prototype /opt/ntop/prototype
	cp packages/solaris/ntop/pkginfo /opt/ntop
	cd /opt/ntop; pkgmk -o -r `pwd`
	cd /var/spool/pkg; pkgtrans -o -s `pwd` /tmp/ntop-$(VERSION)-solaris.$(MACHTYPE)
	cd /tmp; gzip ntop-$(VERSION)-solaris.$(MACHTYPE)
	/bin/rm -rf /opt/ntop
	/bin/rm -rf /var/spool/ntop
	echo "The package file is in /tmp/ntop-$(VERSION)-solaris.$(MACHTYPE).gz: have fun!"

=== database/Makefile ===
ODBCServer.class: ODBCServer.java
	javac ODBCServer.java

=== utils/Makefile ===
# Standard LIBS
LIBS = -lgdbm

addMacAddress: addMacAddress.o
	$(CC) $(CFLAGS) addMacAddress.o $(LIBS) -o addMacAddress

.c.o:
	@rm -f $@
	$(CC) $(CFLAGS) -c $*.c

clean:
	rm -f *~ #* *.o core addMacAddress

## ntop 2.0.0

=== gdchart0.94c/gd-1.8.3/Makefile ===
#Depending on your system, you will need to modify this makefile.

#If you do not have gcc, change the setting for COMPILER, but you must
#use an ANSI standard C compiler (NOT the old SunOS 4.1.3 cc
#compiler; get gcc if you are still using it). 
COMPILER=gcc

#If the ar command fails on your system, consult the ar manpage
#for your system. 
AR=ar

#If you don't have FreeType, libjpeg and/or Xpm installed, including the
#header files, uncomment this (default).
CFLAGS=-O
#If you do have FreeType, libjpeg and/or Xpm fully installed, uncomment a
#variation of this and comment out the line above. See also LIBS below.
#CFLAGS=-O  -DHAVE_XPM -DHAVE_JPEG -DHAVE_LIBTTF

#If you don't have FreeType and/or Xpm fully installed, uncomment this
#(default).

#PLEASE NOTE: YOU MAY HAVE TO JUGGLE THE ORDER OF THE LIBRARIES.
#Some systems are very picky about link order. They don't all agree
#on the right order, either.

LIBS=-L../zlib-1.1.3 -lm -lgd libpng-1.0.8/libpng.a -lz

#If you do have FreeType, JPEG and/or Xpm fully installed, uncomment a 
#variation of this and comment out the line above. Note that
#Xpm requires X11. See also CFLAGS above.

#PLEASE NOTE: YOU MAY HAVE TO JUGGLE THE ORDER OF THE LIBRARIES.
#Some systems are very picky about link order. They don't all agree
#on the right order, either.

#LIBS=-lm -lgd -lpng -lz -ljpeg -lttf -lXpm -lX11

#Typical install locations for freetype, zlib, xpm, libjpeg and libpng header files.
#If yours are somewhere else, change this. 
#-I. is important to ensure that the version of gd you are installing
#is used, and not an older release in your directory tree somewhere.

INCLUDEDIRS=-I. -I/usr/local/include -I/usr/include/X11 -I/usr/X11R6/include/X11 -Ilibpng-1.0.8/ -I../zlib-1.1.3

#Typical install locations for freetype, zlib, xpm and libpng libraries.
#If yours are somewhere else, other than a standard location
#such as /lib or /usr/lib, then change this. Be sure to keep
#-L. as this allows the gd library itself to be found.
#Put -L. first so that old versions of the gd library elsewhere
#on your system can't cause conflicts while building a new one.
LIBDIRS=-L. -L/usr/local/lib -L/usr/lib/X11 -L/usr/X11R6/lib

#Location where libgd.a should be installed by "make install".
INSTALL_LIB=/usr/local/lib

#Location where .h files should be installed by "make install".
INSTALL_INCLUDE=/usr/local/include

#Location where useful non-test programs should be installed by "make install".
INSTALL_BIN=/usr/local/bin

#
#
# Changes should not be required below here.
#
#

VERSION=1.8.1

CC=$(COMPILER) $(INCLUDEDIRS)
LINK=$(CC) $(LIBDIRS) $(LIBS)

PROGRAMS=$(BIN_PROGRAMS) $(TEST_PROGRAMS)

BIN_PROGRAMS=pngtogd pngtogd2 gdtopng gd2topng gd2copypal gdparttopng webpng
TEST_PROGRAMS=gdtest gddemo gd2time gdtestttf

all: libgd.a $(PROGRAMS)

install: libgd.a $(BIN_PROGRAMS)
	sh ./install-item 644 libgd.a $(INSTALL_LIB)/libgd.a
	sh ./install-item 755 pngtogd $(INSTALL_BIN)/pngtogd
	sh ./install-item 755 pngtogd2 $(INSTALL_BIN)/pngtogd2
	sh ./install-item 755 gdtopng $(INSTALL_BIN)/gdtopng
	sh ./install-item 755 gd2topng $(INSTALL_BIN)/gd2topng
	sh ./install-item 755 gd2copypal $(INSTALL_BIN)/gd2copypal
	sh ./install-item 755 gdparttopng $(INSTALL_BIN)/gdparttopng
	sh ./install-item 755 webpng $(INSTALL_BIN)/webpng
	sh ./install-item 755 bdftogd $(INSTALL_BIN)/bdftogd
	sh ./install-item 644 gd.h $(INSTALL_INCLUDE)/gd.h
	sh ./install-item 644 gdcache.h $(INSTALL_INCLUDE)/gdcache.h
	sh ./install-item 644 gd_io.h $(INSTALL_INCLUDE)/gd_io.h
	sh ./install-item 644 gdfontg.h $(INSTALL_INCLUDE)/gdfontg.h
	sh ./install-item 644 gdfontl.h $(INSTALL_INCLUDE)/gdfontl.h
	sh ./install-item 644 gdfontmb.h $(INSTALL_INCLUDE)/gdfontmb.h
	sh ./install-item 644 gdfonts.h $(INSTALL_INCLUDE)/gdfonts.h
	sh ./install-item 644 gdfontt.h $(INSTALL_INCLUDE)/gdfontt.h

gddemo: gddemo.o libgd.a
	$(CC) gddemo.o -o gddemo	$(LIBDIRS) $(LIBS)

pngtogd: pngtogd.o libgd.a
	$(CC) pngtogd.o -o pngtogd	$(LIBDIRS) $(LIBS) 

webpng: webpng.o libgd.a
	$(CC) webpng.o -o webpng	$(LIBDIRS) $(LIBS)

pngtogd2: pngtogd2.o libgd.a
	$(CC) pngtogd2.o -o pngtogd2	$(LIBDIRS) $(LIBS)

gdtopng: gdtopng.o libgd.a
	$(CC) gdtopng.o -o gdtopng	$(LIBDIRS) $(LIBS)

gd2topng: gd2topng.o libgd.a
	$(CC) gd2topng.o -o gd2topng	$(LIBDIRS) $(LIBS)

gd2copypal: gd2copypal.o libgd.a
	$(CC) gd2copypal.o -o gd2copypal	$(LIBDIRS) $(LIBS)

gdparttopng: gdparttopng.o libgd.a
	$(CC) gdparttopng.o -o gdparttopng	$(LIBDIRS) $(LIBS)

gdtest: gdtest.o libgd.a
	$(CC) gdtest.o -o gdtest	$(LIBDIRS) $(LIBS)

gd2time: gd2time.o libgd.a
	$(CC) gd2time.o -o gd2time	$(LIBDIRS) $(LIBS)

gdtestttf: gdtestttf.o libgd.a
	$(CC) gdtestttf.o -o gdtestttf	$(LIBDIRS) $(LIBS)

libgd.a: gd.o gd_gd.o gd_gd2.o gd_io.o gd_io_dp.o gd_io_file.o gd_ss.o \
	gd_io_ss.o gd_png.o gd_jpeg.o gdxpm.o gdfontt.o gdfonts.o gdfontmb.o gdfontl.o \
	gdfontg.o gdtables.o gdttf.o gdcache.o gdkanji.o  wbmp.o gd_wbmp.o \
	gd.h gdfontt.h gdfonts.h gdfontmb.h gdfontl.h gdfontg.h
	rm -f libgd.a
	$(AR) rc libgd.a gd.o gd_gd.o gd_gd2.o gd_io.o gd_io_dp.o \
		gd_io_file.o gd_ss.o gd_io_ss.o gd_png.o gd_jpeg.o gdxpm.o \
		gdfontt.o gdfonts.o gdfontmb.o gdfontl.o gdfontg.o \
		gdtables.o gdttf.o gdcache.o gdkanji.o wbmp.o gd_wbmp.o
	-ranlib libgd.a

clean:
	rm -f *.o *.a ${PROGRAMS} test/gdtest.jpg test/gdtest.wbmp

## ntop 3.0

=== utils/Makefile ===
CFLAGS=-g
LDFLAGS=

# Naming our phony targets
.PHONY: clean install all p2c mac

# Programs
PROGRAMS=addMacAddress inetnum2countryalloc lookuptest p2clib prefixtablegen
OBJECTS=addMacAddress.o inetnum2countryalloc.o lookuptest.o p2clib.o prefixtablegen.o 
SOURCES=addMacAddress.c inetnum2countryalloc.c lookuptest.c p2clib.c prefixtablegen.c 

all: p2c mac
mac: addMacAddress
p2c: p2clib inetnum2countryalloc lookuptest prefixtablegen

addMacAddress: addMacAddress.c
	$(CC) $(CFLAGS) addMacAddress.c -lgdbm -o addMacAddress

inetnum2countryalloc: inetnum2countryalloc.c p2clib.h p2clib.o
	$(CC) $(CFLAGS) inetnum2countryalloc.c p2clib.o -o inetnum2countryalloc

lookuptest: lookuptest.c p2clib.h p2clib.o
	$(CC) $(CFLAGS) lookuptest.c p2clib.o -o lookuptest

prefixtablegen: prefixtablegen.c p2clib.h p2clib.o
	$(CC) $(CFLAGS) prefixtablegen.c p2clib.o -lm -o prefixtablegen

p2clib: p2clib.c p2clib.h
	$(CC) $(CFLAGS) -c p2clib.c -o p2clib.o

# Installing the final product
install:
	@echo "Utility programs do not need to be installed!"

.c.o:
	@rm -f $@
	$(CC) $(CFLAGS) -c $*.c

# Removing the executable and the object files
clean:
	@rm -f $(PROGRAMS)
	@rm -f *.o
	@rm -f *~ #* core
	@echo make clean complete

## ntop 3.3

=== utils/Makefile ===
--- 
+++ 
@@ -5,16 +5,20 @@
 .PHONY: clean install all p2c mac
 
 # Programs
-PROGRAMS=addMacAddress inetnum2countryalloc lookuptest p2clib prefixtablegen
-OBJECTS=addMacAddress.o inetnum2countryalloc.o lookuptest.o p2clib.o prefixtablegen.o 
-SOURCES=addMacAddress.c inetnum2countryalloc.c lookuptest.c p2clib.c prefixtablegen.c 
+PROGRAMS=addMacAddress addVlanName inetnum2countryalloc lookuptest p2clib prefixtablegen
+OBJECTS=addMacAddress.o addVlanName.o inetnum2countryalloc.o lookuptest.o p2clib.o prefixtablegen.o 
+SOURCES=addMacAddress.c addVlanName.c inetnum2countryalloc.c lookuptest.c p2clib.c prefixtablegen.c 
 
-all: p2c mac
+all: p2c mac vlan
 mac: addMacAddress
+vlan: addVlanName
 p2c: p2clib inetnum2countryalloc lookuptest prefixtablegen
 
 addMacAddress: addMacAddress.c
 	$(CC) $(CFLAGS) addMacAddress.c -lgdbm -o addMacAddress
+
+addVlanName: addVlanName.c
+	$(CC) $(CFLAGS) addVlanName.c -lgdbm -o addVlanName
 
 inetnum2countryalloc: inetnum2countryalloc.c p2clib.h p2clib.o
 	$(CC) $(CFLAGS) inetnum2countryalloc.c p2clib.o -o inetnum2countryalloc

## ntop 4.0.3+dfsg1

=== debian/changelog ===
ntop (3:4.0.3+dfsg1-3~bpo60+1) squeeze-backports; urgency=low

  * Backport to squeeze.

 -- Ludovico Cavedon <cavedon@debian.org>  Sun, 03 Apr 2011 17:52:54 -0700

ntop (3:4.0.3+dfsg1-3) unstable; urgency=low

  [ Ludovico Cavedon ]
  * Fix typo in debconf template.
  * Update po files.
  * Add/update debconf template transation:
    - Basque by Iñaki Larrañaga Murgoitio (Closes: #611164)
    - Danish by Joe Hansen (Closes: #611204)
    - Portuguese by Ricardo Silva (Closes: #611225)
    - Norwegian Nynorsk by Yngve Spjeld Landro
    - Swedish by Martin Bagge (Closes: #611186)
    - Slovak debconf template translation by Slavko (Closes: #611310)
    - Czech translation Miroslav Kure (Closes: #612635).
    - Italian.
  * Update hostaname-in-man-description.patch, being less vague about
    URL of ntop web interface (Closes: #466507).
  * Add netflow-plugin-links.patch: fix links in NetFlow plugin
    description (Closes: #530334).
  * Add ability to disable ntop from /etc/default/ntop (Closes:
    #531380).
  * Make sure the ntop group exists in the postinst (Closes: #613033).
  * Move adduser from Pre-depend to depend.

  [ Daniel Baumann ]
  * Adding French debconf translations from Steve Petruzzello
    <dlist@bluewin.ch> (Closes: #611715).
  * Running debconf-update on po files.
  * Removing useless whitespaces from EOL and EOF.
  * Updating to debhelper version 8.
  * Adding updated German debconf translations from
    Helge Kreutzmann <debian@helgefjell.de> (Closes: #611986).
  * Adding updated Russian debconf translations from
    Yuri Kozlov <yuray@komyakino.ru> (Closes: #611973).
  * Adding updated Spanish debconf translations from
    Ricardo Fraile <rikr@esdebian.org> (Closes: #611881).

 -- Ludovico Cavedon <cavedon@debian.org>  Mon, 14 Feb 2011 13:10:19 -0800

ntop (3:4.0.3+dfsg1-2) unstable; urgency=low

  [ Ludovico Cavedon ]
  * Rename maintainer scripts including the package name.
  * Remove misplaced ru.po file.
  * Add Vcs-* headers.
  * Do not call netstat, but read interface list from /proc (Closes: #607637).
  * Use "set -e" in maintainer scripts (see lintian warning
    maintainer-script-without-set-e).
  * Fix bug in check_interfaces() config function.
  * ntop.default: avoid prerm failure if package has never been fully
    configured.
  * Prevent config script failure if password is not asked (Closes: #607580).
  * Cleanup postrm script, thanks to J.M.Roth (Closes: #568626):
    - do not delete user (might be shared)
    - no need to remove /etc/ntop
    - wrap db_purge in a debconf availability check
    - re-indent
  * Add hostname-in-man-description.patch by A. Costa in order to add
    hostname:port in the description section of the man page
    (Closes: #466506).
  * Remove init.cfg from source package, as it is generated by postinst.
  * Handle interface "none", merged patch from Jason Healy (Closes: #520319).
  * Add dependency on net-tools, needed by the init script.
  * Make sure /var/log/ntop is not world readable and set group to adm. Thanks
    to J.M.Roth (Closes: #568641).
  * Set random password admin password if no password have ever been set
    and it is not possible to ask the user (LP: #355127).
  * Suggest geoip-database-contrib and add symlinks to its files.
    Explained in README.Debian.
  * Fix permissions in /var/lib/ntop (LP: #138682). Set sticky bit on
    /var/lib/ntop, so ntop user cannot change init.cfg, but can create
    subdirectories.
  * Disable DNS resolution as it makes ntop unstable.
  * Fix detection of not-active interfaces in ntop.init (LP: #231024).
  * Update po files.

  [ Jordan Metzmeier ]
  * Set password in postinst instead of config (Closes: #609070)
  * Add prompt to reset password if it is already set.
  * Update debconf template thanks to reviews by Christian Perrier and
    Justin B Rye.

  [ Daniel Baumann ]
  * Correct chown calls in ntop.postinst to not fail upon initial installation
    when the respective files are not yet present on the system.

 -- Ludovico Cavedon <cavedon@debian.org>  Tue, 25 Jan 2011 23:39:56 -0800

ntop (3:4.0.3+dfsg1-1) unstable; urgency=low

  [ Jordan Metzmeier ]
  * New upstream release (Closes: #522042)
  * Move data files to /usr/share/ntop (Closes: #595450).
  * Package architecture independent data in a separate ntop-data package.
  * Use debhelper 7.
  * Update Standards-Version to 3.9.1.
  * Depend on python-mako.
  * Do not include ntop.txt in binary packages as it is a copy of the man
    page.
  * Do not include NEWS, as it is outdated.
  * Switch to package source version 3.0 (quilt).
  * Add password creation to debconf
  * Changed init script to fix localization problems (thanks to Alejandro
    Varas <alej0varas@gmail.com>, LP: #257466)
  * Remove manual update-rc.d calls from postrm and postinst. debhelper adds
    this for us.
  * Add pre-depends on adduser for postinst script.
  * Fix errors in the manpages: fix-manpage-errors.patch.
  * Added fixes for matching active interfaces.
  * Added a watch file.

  [ Ludovico Cavedon ]
  * Remove direct changes to upstream tree, and move them into specific patch
    files:
    - fix-manpage-errors.patch: fix typos in ntop.8.
    - dot-path.patch: fix path of /usr/bin/dot executable
  * Add patches:
    - reduce-autogen-purged-files.patch: prevent agutogen.sh from removing
    too many files during cleanup.
    - Add build-without-ntop-darwin.patch, to fix compilation without
    ntop_darwin.c.
  * No longer add faq.html, as it is not distributed in the upstream tarball.
  * Use ${source:Version} in control file. Have ntop-data recommend
    ntop.
  * Rename dirs to ntop.dirs and keep only empty directories that need
    to be created.
  * Remove var/lib from ntop.install file, as it is empty (keeping it in
    ntop.dirs).
  * Update po files.
  * Breaks and Replaces instead of Conflitcs for ntop-data.
  * Use a longer package description.
  * Remove useless configure options from debian/rules.


=== debian/control ===
Source: ntop
Section: net
Priority: optional
Maintainer: Jordan Metzmeier <jordan@linuxgen.com>
Uploaders: Ludovico Cavedon <cavedon@debian.org>
Build-Depends: debhelper (>= 8), libpcap0.8-dev, autoconf, automake,
 libgdbm-dev, libpng12-dev, libncurses5-dev, libtool, libwrap0-dev,
 libgd2-noxpm-dev, libjpeg62-dev, po-debconf, librrd2-dev, python-dev,
 libgeoip-dev
Standards-Version: 3.9.1
Homepage: http://www.ntop.org/
Vcs-Git: git://git.debian.org/git/collab-maint/ntop.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/ntop.git

Package: ntop
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ntop-data (= ${source:Version}),
 python-mako, net-tools, adduser, passwd
Suggests: graphviz, gsfonts
Description: display network usage in web browser
 ntop is a network traffic probe that shows the network usage, similar to what
 the popular top Unix command does. ntop is based on libpcap and it has been
 written in a portable way in order to virtually run on every Unix platform and
 on Win32 as well.
 .
 ntop users can use a web browser to navigate through ntop (that acts as a
 web server) traffic information and get a dump of the network status. In the
 latter case, ntop can be seen as a simple RMON-like agent with an embedded web
 interface.
 The use of:
  * a web interface
  * limited configuration and administration via the web interface
  * reduced CPU and memory usage (they vary according to network size
  and traffic)
 make ntop easy to use and suitable for monitoring various kind of networks.
 .
 This package contains the ntop daemon.

Package: ntop-data
Architecture: all
Depends: libjs-mochikit, ${misc:Depends}
Recommends: ntop (>= ${source:Version})
Breaks: ntop (<< 3:4.0)
Replaces: ntop (<< 3:4.0)
Suggests: geoip-database-contrib
Description: display network usage in a web browser (data files)
 ntop users can use a web browser to navigate through ntop (that acts as a
 web server) traffic information and get a dump of the network status. In the
 latter case, ntop can be seen as a simple RMON-like agent with an embedded web
 interface.
 The use of:
  * a web interface
  * limited configuration and administration via the web interface
  * reduced CPU and memory usage (they vary according to network size
  and traffic)
 make ntop easy to use and suitable for monitoring various kind of networks.
 .
 ntop displays a summary of network usage by machines on your network in a web
 mode, which allows the display to be browsed with a web browser.
 .
 This package contains 3rd party data.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

override_dh_auto_configure:
	./autogen.sh CFLAGS=-DMAKE_WITH_IGNORE_SIGPIPE \
	--prefix=/usr --bindir=/usr/sbin --libdir=/usr/lib/ntop \
	--sysconfdir=/usr/share --localstatedir=/var/lib


override_dh_auto_install:
	dh_auto_install
	chmod -x $(CURDIR)/debian/tmp/usr/share/ntop/python/templates/rrdAlarmStart.tmpl
	find $(CURDIR)/debian/tmp/usr/share/ntop/html -type f -exec chmod -x '{}' \;

	mkdir -p $(CURDIR)/debian/tmp/etc/ntop
	cp debian/protocol.list $(CURDIR)/debian/tmp/etc/ntop
	gunzip $(CURDIR)/debian/tmp/usr/share/ntop/*.gz

	#logcheck
	mkdir -p $(CURDIR)/debian/tmp/etc/logcheck/ignore.d.server
	mkdir -p $(CURDIR)/debian/tmp/etc/logcheck/ignore.d.workstation
	mkdir -p $(CURDIR)/debian/tmp/etc/logcheck/ignore.d.paranoid
	cp debian/logcheck $(CURDIR)/debian/tmp/etc/logcheck/ignore.d.server/ntop
	cp debian/logcheck $(CURDIR)/debian/tmp/etc/logcheck/ignore.d.workstation/ntop
	cp debian/logcheck.paranoid $(CURDIR)/debian/tmp/etc/logcheck/ignore.d.paranoid/ntop

	#logrotate
	mkdir -p $(CURDIR)/debian/tmp/etc/logrotate.d
	cp debian/logrotate $(CURDIR)/debian/tmp/etc/logrotate.d/ntop

	# remove development files
	find $(CURDIR)/debian/tmp/usr/lib -name "*.a" -exec rm '{}' \;
	find $(CURDIR)/debian/tmp/usr/lib -name "*.la" -exec rm '{}' \;
	find $(CURDIR)/debian/tmp/usr/lib -name "lib*Plugin*.so" -exec rm '{}' \;

	# use system MochiKit.js library
	rm $(CURDIR)/debian/tmp/usr/share/ntop/html/MochiKit/*
	ln -sf ../../../javascript/mochikit/MochiKit.js $(CURDIR)/debian/tmp/usr/share/ntop/html/MochiKit/MochiKit.js

	# link to GeoIP databases
	ln -s /usr/share/GeoIP/GeoLiteCity.dat $(CURDIR)/debian/tmp/usr/share/ntop/GeoLiteCity.dat
	ln -s /usr/share/GeoIP/GeoIPASNum.dat $(CURDIR)/debian/tmp/usr/share/ntop/GeoIPASNum.dat

# avoid useless call to ldconfig for private libraries (see bug #205142)
override_dh_makeshlibs:
	dh_makeshlibs -Xusr/lib/ntop

override_dh_auto_clean:
	dh_auto_clean
	./autogen.sh -p || true
	rm -f etter.finger.os.gz \
		oui.txt.gz \
		specialMAC.txt.gz \
		version.c \
		faq.html \
		html/faq.html
	rm -fr m4
	debconf-updatepo

%:
	dh $@

DEB_UPSTREAM_VERSION=$(shell dpkg-parsechangelog | sed -rne 's,^Version: ([0-9]+:)?(.*)\+dfsg.*,\2,p')
DEB_DFSG_VERSION=$(shell dpkg-parsechangelog | sed -rne 's,^Version: ([0-9]+:)?(.*\+dfsg[0-9]+).*,\2,p')

get-orig-source:
	sh debian/get-orig-source.sh $(DEB_UPSTREAM_VERSION) $(DEB_DFSG_VERSION)

=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg\d+$// \
 http://sf.net/ntop/ntop-(.*)\.(?:tar\.gz|tgz) debian uupdate

## ntop 4.1.0+dfsg1

=== iwtan/Makefile ===
all: iwtan_example test_data_driver test_analyze

iwtan_example: iwtan_data.c iwtan_analyze.c iwtan_example.c
	gcc iwtan_data.c iwtan_analyze.c iwtan_example.c -liw -lpcap -lpthread -o iwtan_example

test_data_driver: iwtan_data.c test_data_driver.c
	gcc iwtan_data.c test_data_driver.c -liw -lpcap -lpthread -o test_data_driver

test_analyze: iwtan_analyze.c iwtan_data.c test_analyze.c
	gcc iwtan_analyze.c iwtan_data.c test_analyze.c -liw -lpcap -lpthread -o test_analyze

=== debian/changelog ===
ntop (3:4.1.0+dfsg1-1) unstable; urgency=low

  * New upstream version (Closes: #520266, LP: #365145, LP: #777801).
  * Add kfreebsd-ftbfs.patch by Christoph Egger to fix FTBS under kFreeBSD
    (Closes: #636389).
  * Update Brazilian debconf messages translation by Eder L. Marques
    (Closes: #629113).
  * Update po files.

 -- Ludovico Cavedon <cavedon@debian.org>  Sat, 20 Aug 2011 20:14:58 -0700

ntop (3:4.0.3+dfsg1-4) unstable; urgency=low

  * Avoid adduser warnings during postinst (Closes: #338648).
  * Update Finnish debconf template transation by Esko Arajärvi
    (Closes: #614652).
  * Update Slovak debconf template translation by Slavko (Closes: #622109).
  * /etc/default/init: do dot reference debconf settings and add description
    for user editable variables (Closes: #498308).
  * Redirect output messages to syslog (Closes: #391366).
  * Create empty access.log in postinst (Closes: #602890).
  * Use lsb helper functions for output in init script. Let start-stop-daemon
    handle detection of running daemon.
  * Depend on libjpeg-dev instead of libjpeg62-dev (Closes: #635485).
  * Update Standards-Version to 3.9.2.

 -- Ludovico Cavedon <cavedon@debian.org>  Sun, 31 Jul 2011 21:39:04 -0700

=== debian/control ===
--- 
+++ 
@@ -5,9 +5,9 @@
 Uploaders: Ludovico Cavedon <cavedon@debian.org>
 Build-Depends: debhelper (>= 8), libpcap0.8-dev, autoconf, automake,
  libgdbm-dev, libpng12-dev, libncurses5-dev, libtool, libwrap0-dev,
- libgd2-noxpm-dev, libjpeg62-dev, po-debconf, librrd2-dev, python-dev,
+ libgd2-noxpm-dev, libjpeg-dev, po-debconf, librrd2-dev, python-dev,
  libgeoip-dev
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Homepage: http://www.ntop.org/
 Vcs-Git: git://git.debian.org/git/collab-maint/ntop.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/ntop.git

## ntop 4.99.0

=== utils/Makefile ===
--- 
+++ 
@@ -5,14 +5,17 @@
 .PHONY: clean install all p2c mac
 
 # Programs
-PROGRAMS=addMacAddress addVlanName inetnum2countryalloc lookuptest p2clib prefixtablegen
+PROGRAMS=addMacAddress addVlanName inetnum2countryalloc lookuptest p2clib prefixtablegen gdbm_rw
 OBJECTS=addMacAddress.o addVlanName.o inetnum2countryalloc.o lookuptest.o p2clib.o prefixtablegen.o 
 SOURCES=addMacAddress.c addVlanName.c inetnum2countryalloc.c lookuptest.c p2clib.c prefixtablegen.c 
 
-all: p2c mac vlan
+all: p2c mac vlan gdbm_rw
 mac: addMacAddress
 vlan: addVlanName
 p2c: p2clib inetnum2countryalloc lookuptest prefixtablegen
+
+gdbm_rw: gdbm_rw.c
+	$(CC) $(CFLAGS) gdbm_rw.c -lgdbm -o gdbm_rw
 
 addMacAddress: addMacAddress.c
 	$(CC) $(CFLAGS) addMacAddress.c -lgdbm -o addMacAddress

## ntop 4.99.0-rc+ndpi5237+dfsg1

=== debian/changelog ===
ntop (3:4.99.0-rc+ndpi5237+dfsg1-1) unstable; urgency=low

  * Imported Upstream version 4.99+rc and nDPI r5237.
  * Update Dutch debconf template transation by Jeroen Schot
    <schot@A-Eskwadraat.nl> (Closes: #650750).
  * Update Galician debconf translation by Anxo Outeiral (Closes: #626699).
  * Add Polish debconf translation by Michał Kułach (Closes: #660884).
  * Remove non-free Highcharts JS API from upstream tarball, document it in
    debian/NEWS, and suggest ntop-graphs package.
  * Remove commands to stop ntop in prerm script, as they are already added by
    debhelper.
  * Use "none" as default interface if no previous configuration exist.
  * Remove check for existing interaces during config.
  * Fix init script failure in some cases (Closes: #649639).
  * Add build dependency on groff for documentation generation
    (Closes: #633956).
  * Update watch file for upstream "-rc" suffix.
  * Refresh patches.
  * Add do-not-require-svn.patch to remove unneeded dependecy on svn.
  * Update reduce-autogen-purged-files.patch so nDPI is not be removed on
    cleanup.
  * Removed no longer needed dependency on mochikit.
  * Update Standards-Version to 3.9.3.
  * Add separate package for debug symbols.
  * Update copyright for new upstream version.
  * Add l7_major_proto-fix.patch and tcp-option-parsing.patch to fix crashes.
  * Build-Depends on libpng-dev to allow linpng transitions (Closes: #662447).
  * Prevent the init script to exit with an error if one of the configured
    interaces is not available (Closes: #662212, LP: #402215).
  * Add /sbin path to invocation of start-stop-daemon (Closes: #350693).
  * Add status command to init script (Closes: #513779, LP: #323717).
  * Refresh & fix patches.
  * Add LSB description to init script.
  * Re-enable DNS resolution.

 -- Ludovico Cavedon <cavedon@debian.org>  Mon, 19 Mar 2012 23:56:18 -0700

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,12 @@
 Priority: optional
 Maintainer: Jordan Metzmeier <jordan@linuxgen.com>
 Uploaders: Ludovico Cavedon <cavedon@debian.org>
+Build-Depends-Indep: groff
 Build-Depends: debhelper (>= 8), libpcap0.8-dev, autoconf, automake,
- libgdbm-dev, libpng12-dev, libncurses5-dev, libtool, libwrap0-dev,
+ libgdbm-dev, libpng-dev, libncurses5-dev, libtool, libwrap0-dev,
  libgd2-noxpm-dev, libjpeg-dev, po-debconf, librrd2-dev, python-dev,
  libgeoip-dev
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://www.ntop.org/
 Vcs-Git: git://git.debian.org/git/collab-maint/ntop.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/ntop.git
@@ -16,7 +17,7 @@
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, ntop-data (= ${source:Version}),
  python-mako, net-tools, adduser, passwd
-Suggests: graphviz, gsfonts
+Suggests: ntop-graphs, graphviz, gsfonts
 Description: display network usage in web browser
  ntop is a network traffic probe that shows the network usage, similar to what
  the popular top Unix command does. ntop is based on libpcap and it has been
@@ -36,9 +37,35 @@
  .
  This package contains the ntop daemon.
 
+Package: ntop-dbg
+Section: debug
+Priority: extra
+Architecture: any
+Depends: ${misc:Depends}, ntop (= ${binary:Version}),
+ python-mako, net-tools, adduser, passwd
+Suggests: graphviz, gsfonts
+Description: display network usage in web browser (debug symbols)
+ ntop is a network traffic probe that shows the network usage, similar to what
+ the popular top Unix command does. ntop is based on libpcap and it has been
+ written in a portable way in order to virtually run on every Unix platform and
+ on Win32 as well.
+ .
+ ntop users can use a web browser to navigate through ntop (that acts as a
+ web server) traffic information and get a dump of the network status. In the
+ latter case, ntop can be seen as a simple RMON-like agent with an embedded web
+ interface.
+ The use of:
+  * a web interface
+  * limited configuration and administration via the web interface
+  * reduced CPU and memory usage (they vary according to network size
+  and traffic)
+ make ntop easy to use and suitable for monitoring various kind of networks.
+ .
+ This package contains the debug symbols for the ntop daemon.
+
 Package: ntop-data
 Architecture: all
-Depends: libjs-mochikit, ${misc:Depends}
+Depends: ${misc:Depends}
 Recommends: ntop (>= ${source:Version})
 Breaks: ntop (<< 3:4.0)
 Replaces: ntop (<< 3:4.0)

=== debian/rules ===
--- 
+++ 
@@ -41,10 +41,6 @@
 	find $(CURDIR)/debian/tmp/usr/lib -name "*.la" -exec rm '{}' \;
 	find $(CURDIR)/debian/tmp/usr/lib -name "lib*Plugin*.so" -exec rm '{}' \;
 
-	# use system MochiKit.js library
-	rm $(CURDIR)/debian/tmp/usr/share/ntop/html/MochiKit/*
-	ln -sf ../../../javascript/mochikit/MochiKit.js $(CURDIR)/debian/tmp/usr/share/ntop/html/MochiKit/MochiKit.js
-
 	# link to GeoIP databases
 	ln -s /usr/share/GeoIP/GeoLiteCity.dat $(CURDIR)/debian/tmp/usr/share/ntop/GeoLiteCity.dat
 	ln -s /usr/share/GeoIP/GeoIPASNum.dat $(CURDIR)/debian/tmp/usr/share/ntop/GeoIPASNum.dat
@@ -52,6 +48,9 @@
 # avoid useless call to ldconfig for private libraries (see bug #205142)
 override_dh_makeshlibs:
 	dh_makeshlibs -Xusr/lib/ntop
+
+override_dh_strip:
+	        dh_strip --dbg-package=ntop-dbg
 
 override_dh_auto_clean:
 	dh_auto_clean
@@ -68,8 +67,9 @@
 %:
 	dh $@
 
-DEB_UPSTREAM_VERSION=$(shell dpkg-parsechangelog | sed -rne 's,^Version: ([0-9]+:)?(.*)\+dfsg.*,\2,p')
+DEB_UPSTREAM_VERSION=$(shell dpkg-parsechangelog | sed -rne 's,^Version: ([0-9]+:)?(.*)\+ndpi[0-9]+\+dfsg.*,\2,p')
 DEB_DFSG_VERSION=$(shell dpkg-parsechangelog | sed -rne 's,^Version: ([0-9]+:)?(.*\+dfsg[0-9]+).*,\2,p')
+NDPI_REV=$(shell dpkg-parsechangelog | sed -rne 's,^Version: ([0-9]+:)?.*\+ndpi([0-9]+)\+dfsg.*,\2,p')
 
 get-orig-source:
-	sh debian/get-orig-source.sh $(DEB_UPSTREAM_VERSION) $(DEB_DFSG_VERSION)
+	sh debian/get-orig-source.sh $(DEB_UPSTREAM_VERSION) $(DEB_DFSG_VERSION) $(NDPI_REV)

## ntop 4.99.3+ndpi5517+dfsg1

=== debian/changelog ===
ntop (3:4.99.3+ndpi5517+dfsg1-1) unstable; urgency=low

  * Imported Upstream version 4.99.3 and nDPI r5517.
  * get-orig-source.sh: incude nDPI in the orig tarball.
  * No longer suggest ntop-graphs and update NEWS about that.
  * Update copyright for the new jqPlot library.
  * Refresh patches.
  * Enable hardening flags.
  * Add install-jqplot.patch to install jqPlot.

 -- Ludovico Cavedon <cavedon@debian.org>  Wed, 27 Jun 2012 00:24:42 -0700

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, ntop-data (= ${source:Version}),
  python-mako, net-tools, adduser, passwd
-Suggests: ntop-graphs, graphviz, gsfonts
+Suggests: graphviz, gsfonts
 Description: display network usage in web browser
  ntop is a network traffic probe that shows the network usage, similar to what
  the popular top Unix command does. ntop is based on libpcap and it has been

=== debian/rules ===
--- 
+++ 
@@ -1,18 +1,17 @@
 #!/usr/bin/make -f
 # -*- makefile -*-
-# Sample debian/rules that uses debhelper.
-# This file was originally written by Joey Hess and Craig Small.
-# As a special exception, when this file is copied by dh-make into a
-# dh-make output file, you may use that output file without restriction.
-# This special exception was added by Craig Small in version 0.37 of dh-make.
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+export DEB_CPPFLAGS_MAINT_APPEND  = -DMAKE_WITH_IGNORE_SIGPIPE
+
 override_dh_auto_configure:
-	./autogen.sh CFLAGS=-DMAKE_WITH_IGNORE_SIGPIPE \
+	./autogen.sh \
 	--prefix=/usr --bindir=/usr/sbin --libdir=/usr/lib/ntop \
-	--sysconfdir=/usr/share --localstatedir=/var/lib
+	--sysconfdir=/usr/share --localstatedir=/var/lib \
+	$(shell dpkg-buildflags --export=configure) 
 
 
 override_dh_auto_install:

## ntop 4.99.3+ndpi5517+dfsg2

=== debian/changelog ===
ntop (3:4.99.3+ndpi5517+dfsg2-1) unstable; urgency=medium

  * Repackage upstream source replacing non-DFSG countmin code with the GPL
    one (Closes: #692732).
  * Update Maintainer and Uploaders.

 -- Ludovico Cavedon <cavedon@debian.org>  Fri, 30 Nov 2012 00:07:10 -0800

## ntop 4.99.3+ndpi5517+dfsg3

=== debian/changelog ===
ntop (3:4.99.3+ndpi5517+dfsg3-1) unstable; urgency=high

  * Repackage source removing stale license notice from protocls.c
    (Closes: #695424).
  * Remove IP fragment handling code (Closes: #700442).
  * Disable OpenSSL (thanks to Giovanni Rapagnani, Closes: #695422).

 -- Ludovico Cavedon <cavedon@debian.org>  Thu, 28 Feb 2013 23:23:02 -0800

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: ntop
 Section: net
 Priority: optional
-Maintainer: Jordan Metzmeier <jordan@linuxgen.com>
-Uploaders: Ludovico Cavedon <cavedon@debian.org>
+Maintainer: Ludovico Cavedon <cavedon@debian.org>
 Build-Depends-Indep: groff
 Build-Depends: debhelper (>= 8), libpcap0.8-dev, autoconf, automake,
  libgdbm-dev, libpng-dev, libncurses5-dev, libtool, libwrap0-dev,

=== debian/rules ===
--- 
+++ 
@@ -11,6 +11,7 @@
 	./autogen.sh \
 	--prefix=/usr --bindir=/usr/sbin --libdir=/usr/lib/ntop \
 	--sysconfdir=/usr/share --localstatedir=/var/lib \
+	--without-ssl \
 	$(shell dpkg-buildflags --export=configure)
